resource "google_compute_instance" "default" {
  name         = "vmc-${random_string.vm-name.result}"
  machine_type = "e2-medium"
  zone         = "us-central1-a"
  project      = "terraformexplore-343004"
  tags=["foo","bar"]

  allow_stopping_for_update = true
  boot_disk {
    initialize_params {
      image = "debian-cloud/debian-9"
    }
  }

  network_interface {
    network = "default"
    access_config {
      // Ephemeral public IP
    }
  }
  provisioner "remote-exec" {
    connection {
        type = "ssh"
        port = 22
        user = "vchalamalasetty"
        host=google_compute_instance.default.network_interface[0].access_config[0].nat_ip
        agent = "false"
        private_key = "${file("/Users/vchalamalasetty/.ssh/id_rsa")}"
    }
    inline = [
              "sudo apt-get -y update",
              "sudo apt-get -y install apache2",
            ]
  }
}
